// ExportDlg.cpp : implementation file
//

#include "stdafx.h"
#include "mfc.h"
#include "ExportDlg.h"
#include "GetKey.h"
#include "MainFrm.h"
#include "Manager.h"

#include <list>
#include "Person.h"

typedef std::list<Person>	PERSONLIST;

typedef std::list<STRING> STRLIST;

extern STRLIST	mylines;
extern int		horiz;
extern CMainFrame * allpapa;
extern PERSONLIST persons;
extern Manager * mymanager;


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ExportDlg dialog


ExportDlg::ExportDlg(STRING path, CWnd* pParent /*=NULL*/)
	: CDialog(ExportDlg::IDD, pParent)
{
	file.open( path.c_str());
	//{{AFX_DATA_INIT(ExportDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

ExportDlg::~ExportDlg()
{
	file.close();
}

void ExportDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(ExportDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(ExportDlg, CDialog)
	//{{AFX_MSG_MAP(ExportDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ExportDlg message handlers

void ExportDlg::OnOK() 
{
	CClientDC dc (this);
	GetKey Dlg(this);
	STRING mykey;
	int mode;

	if(Dlg.DoModal() == IDOK)
	{
		mykey = Dlg.m_keyforfind;
		mode = Dlg.m_whatiskey;
	}

	allpapa->linesflash();

	persons.resize( 0);
	mymanager->getPersons( mykey, mode, persons);

	PERSONITTER it = persons.begin();
	PERSONITTER ite = persons.end();

	for(;it != ite;it++)
		file << it->pack('|','\n',1) ;

	allpapa->Invalidate( FALSE);	
	
	CDialog::OnOK();
}

void ExportDlg::OnCancel() 
{
	CDialog::OnCancel();
}
