// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "mfc.h"
#include "NewOrNot.h"
#include "FileHasOpened.h"
#include "Manager.h"
#include "Except.h"
#include <direct.h>

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

Manager * mymanager;
STRLIST		mylines;
int			horiz = 0;
/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_COMMAND( ID_FILE_DataBase, opendatabase)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

STRING mfcstr2str(CString what);
CString str2mfcstr2( STRING what)
{
	int end = what.size();
	CString retval;

	for(int count = 0;count < end;count++)
		retval += what[count];

	retval += " as your database.";

	return retval;
}

CMainFrame::CMainFrame()
{

//	Create( NULL, "File Structure", WS_OVERLAPPEDWINDOW, CRect( 20, 30, 320, 130));
//	CDocument* doc = this->GetActiveDocument();
//	doc->

//	HICON hicon=AfxGetApp()->LoadIcon(IDR_MAINFRAME);
//	SetIcon(hicon,FALSE);
//	SetIcon(hicon,TRUE);
}

CMainFrame::~CMainFrame()
{
}


BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	return TRUE;
}

void CMainFrame::opendatabase()
{
	try
	{
		CClientDC dc (this);
		NewOrNot Dlg(this);
		CString temps = "Now you are using ";

		if(Dlg.DoModal() == IDOK)
		{
			temps += str2mfcstr2( Dlg.filepath);

			if(_chdir( mfcstr2str(Dlg.filepath.c_str()).c_str()) != 0 || Dlg.m_Notnew == 0)
				mymanager = new Manager( Dlg.filepath, 1);
			else
				mymanager = new Manager( Dlg.filepath, 0);
		}

		CClientDC dc2(this);
		FileHasOpened Dlg2( this, temps);

		if(Dlg2.DoModal() == IDOK)
		{
//			GetDlgItem(IDC_STATIC_FileName)->SetWindowText( temps);
		}
	}
	catch(Except & e)
	{
		MessageBox( e.message.c_str(), "Error", MB_ICONHAND);
		_chdir("..");
	}
}


void CMainFrame::outputline( STRING added)
{
	mylines.push_back( added);

	if( added.size() > horiz)
		horiz = added.size();

	CSize total;
	total.cx = horiz * 10;
	total.cy = mylines.size() * 15;
	((CScrollView *)(GetActiveView()))->SetScrollSizes( MM_TEXT, total);
}


void CMainFrame::linesflash()
{
	mylines.resize( 0);
	horiz = 0;
}


/////////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers

