// mfcView.cpp : implementation of the CMfcView class
//

#include "stdafx.h"
#include "mfc.h"

#include "mfcDoc.h"
#include "mfcView.h"
CString str2mfcstr( STRING what);

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern STRLIST	mylines;
extern int		horiz;


/////////////////////////////////////////////////////////////////////////////
// CMfcView

IMPLEMENT_DYNCREATE(CMfcView, CScrollView)

BEGIN_MESSAGE_MAP(CMfcView, CScrollView)
	//{{AFX_MSG_MAP(CMfcView)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMfcView construction/destruction

CMfcView::CMfcView()
{
}

CMfcView::~CMfcView()
{
}

BOOL CMfcView::PreCreateWindow(CREATESTRUCT& cs)
{
	return CScrollView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMfcView drawing

void CMfcView::OnDraw(CDC* pDC)
{
	STRLISTITER ite = mylines.end();
	STRLISTITER it = mylines.begin();

	int count = 0;

	for(; it != ite;it++, count++)
		pDC->TextOut( 2, count * 15, str2mfcstr( *it));
}

/////////////////////////////////////////////////////////////////////////////
// CMfcView diagnostics

#ifdef _DEBUG
void CMfcView::AssertValid() const
{
	CScrollView::AssertValid();
}

void CMfcView::Dump(CDumpContext& dc) const
{
	CScrollView::Dump(dc);
}

CMfcDoc* CMfcView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMfcDoc)));
	return (CMfcDoc*)m_pDocument;
}

void CMfcView::OnInitialUpdate()
{
	CScrollView::OnInitialUpdate();

	CSize total;
	total.cx = 100;
	total.cy = 100;
	SetScrollSizes( MM_TEXT, total);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMfcView message handlers
